//////////////////////////////////////////////////////////////////////////////
//
//  GscApiPrivate.c
//
//  This module contains the private functions that are used only by GSC
// developers.
//
#include <stdio.h>
#include "GscApiLocal.h"


//----------------------------------------------------------- GscSio4GetHandle
//
//  This routine returns the PLX handle for a board so that
// the Plx routines can be called directly.
//
int GscSio4GetHandle( int boardNumber, HANDLE *handle)
{
	int status = 0x00;

	// Make sure the boardNumber is valid
	status = validateBoardNumber( boardNumber);
	if (status) return status;

	// Get the proper handle
	*handle = boardInformation[ boardNumber-1].handle;

	return status;
}


